/**
 * @module Components
 */
import * as React from 'react';
import Svg, { Path } from 'react-native-svg';
import { View } from 'react-native';

const SvgComponent = props => (
  <Svg viewBox="0 0 30 29" fill="currentColor" {...props}>
    <Path d="M19.8 25.2h-1.1v2.1h-7.4v-2.1h-1.1v2.1H8.3v1.1h13.4v-1.1h-1.9zM29.5.5c-.2-.3-.6-.5-1.1-.5H1.6C1.1 0 .7.2.5.5.2.8 0 1.1 0 1.6V22.5c0 .4.2.8.5 1.1.3.3.7.5 1.1.5h26.9c.4 0 .8-.2 1.1-.5.3-.3.5-.7.5-1.1V1.6c-.1-.5-.3-.9-.6-1.1zm-.6 22c0 .1-.1.2-.1.3-.1.1-.2.1-.3.1H1.6c-.1 0-.2 0-.3-.1-.1-.1-.1-.2-.1-.3v-1.8H29l-.1 1.8zM1.1 19.6v-18c0-.1 0-.2.1-.3.1-.1.2-.1.3-.1h26.9c.1 0 .2 0 .3.1.1.1.1.2.1.3v18H1.1z" />
    <Path d="M2.1 18.6h25.8V2.1H2.1v16.5zM3.2 3.2h23.6v14.3H3.2V3.2z" />
    <Path d="M4.5 10.1h1.1v2.5H4.5zM6.3 7.6h1.1v3.5H6.3zM8.1 11.4h1.1v1.2H8.1zM9.9 12.4H11v3H9.9zM11.7 14.7h1.1v1.5h-1.1zM13.5 6.3h1.1v7.3h-1.1zM15.4 4.6h1.1v3h-1.1zM17.2 7.1h1.1v5h-1.1zM19 9.9h1.1v1.5H19zM20.8 10.9h1.1v3.2h-1.1zM22.6 7.3h1.1V12h-1.1zM24.5 6.3h1.1V8h-1.1z" />
  </Svg>
);

/**
 * Dashboard icon created from SVG from Fixrate.
 * Used on the tab-navigator.
 * Imported in MainNavigator.js.
 * Code is generated through https://react-svgr.com/playground/?native=true
 * @param {styleObject} props
 */
const DashboardIcon = props => {
  const { style } = props;
  const component = SvgComponent(style);

  return <View style={style}>{component}</View>;
};
export default DashboardIcon;
