import React from 'react';
import { View } from 'react-native';
import Svg, { Path } from 'react-native-svg';

const SvgComponent = props => (
  <Svg viewBox="0 0 60 56" fill="currentColor" {...props}>
    <Path d="M27.5 19.8V5.6c0-.3-.1-.6-.4-.9-.2-.2-.6-.4-.9-.4H22V0H8v4.3H3.7c-.3 0-.7.1-.9.4-.2.2-.3.5-.3.9v14.2H0v1.5c0 .4.2.8.4 1.1.3.3.7.4 1.1.4h26.9c.4 0 .8-.2 1.1-.4.3-.3.4-.7.4-1.1v-1.5h-2.4zM26.3 5.2c.1 0 .2 0 .3.1.1.1.1.2.1.3v14.2h-1V6.3H22v-1l4.3-.1zM15 5.3l6.1-4v6.9l-3.2-2.1-.5.8L20 8.6H10l2.7-1.8-.5-.8-3.3 2.2V1.3l6.1 4zM10 .9h10l-5 3.3-5-3.3zm12 8.6V7.2h2.7v12.6H5.3V7.2H8v2.4h14zM3.4 5.6c0-.1 0-.2.1-.3.1-.1.2-.1.2-.1H8v1H4.4v13.5h-1V5.6zm25.7 15.7c0 .2-.1.3-.2.4-.1.1-.3.2-.4.2h-27c-.2 0-.3-.1-.4-.2-.1-.1-.2-.3-.2-.4v-.6H29.2l-.1.6z" />
    <Path d="M10.2 11.9h.9v3.6h-.9zM18.9 11.9h.9v3.6h-.9zM14.5 13.7h.9v3.6h-.9z" />
  </Svg>
);

/**
 * Order icon created from SVG from Fixrate.
 * Used on the tab-navigator.
 * Imported in MainNavigator.js.
 * Code is generated through https://react-svgr.com/playground/?native=true
 * @param {styleObject} props
 * @memberof module:Components
 */
const OrderIcon = props => {
  const { style } = props;
  const component = SvgComponent(style);

  return <View style={style}>{component}</View>;
};

export default OrderIcon;
