package dao;

import database.FixrateDatabase;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import static database.Database.close;

public class FixrateDBDao {
    private FixrateDatabase fdb = new FixrateDatabase();
    private Connection connection = null;
    private ResultSet res = null;
    private PreparedStatement preparedStatement = null;

    private String bankname;


    /**
     * This method finds bankname from Fixrate's database, based on unique id from the new ad created
     * @param ad_id String
     * @return String This returns bankname on from new ad created on marketplace
     */
    public String getBankNameFromAd (String ad_id) {
        String sqlQuery = "SELECT bank_name FROM fixrate.cached_ad WHERE id = ?;";
        try {
            connection = fdb.connectToFixrateDB();
            preparedStatement = connection.prepareStatement(sqlQuery);
            preparedStatement.setString(1,ad_id);
            res = preparedStatement.executeQuery();
            if (res.next()) bankname = res.getString("bank_name");
            return bankname;
        } catch (SQLException sqle) {
            sqle.printStackTrace();
        } finally {
            close(connection,preparedStatement,res);
        }
        return null;
    }
}
