package database;

import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

//TODO add security: store database properties in secret textfile
public class FixrateDatabase {

    private static File currentDir = new File("rabbitMQ/src/config.properties");
    private static String configFile = currentDir.getAbsolutePath();
    private static ConfigProperties databaseConfig = new ConfigProperties(configFile);

    private static final String JDBC_DRIVER = "com.mysql.jdbc.Driver";
    private static final String FIXRATE_DB_URL = databaseConfig.getUrl("fixrate");
    private static final String FIXRATE_DB_USERNAME = databaseConfig.getUsername("fixrate");
    private static final String FIXRATE_DB_PW = databaseConfig.getPassword("fixrate");

    private Connection connection = null;


    /**
     * Method to  connect to Fixrate's database
     * @return Connection
     */
    public Connection connectToFixrateDB () {
        try {
            Class.forName(JDBC_DRIVER);
            connection = DriverManager.getConnection(FIXRATE_DB_URL,FIXRATE_DB_USERNAME,FIXRATE_DB_PW);
        } catch (ClassNotFoundException | SQLException e) {
            e.printStackTrace();
        }
        return connection;
    }
}
