package dto;


public class Order {

    private String orderId;
    private String userId;
    private String bankId;
    private String depositorId;
    private String organisationId;

    private String organisationName;
    private String bankName;
    private String depositorFirstname;
    private String depositorLastname;
    private String depositorFullname;

    /**
     * Constructor
     * @param orderId String
     * @param userId String
     * @param bankId String
     */
    public Order(String orderId, String userId, String bankId) {
        this.orderId = orderId;
        this.userId = userId;
        this.bankId = bankId;
    }

    /**
     * Constructor
     * @param organisationName String
     * @param bankName String
     * @param depositorFirstname String
     * @param depositorLastname String
     */
    public Order (String organisationName, String bankName, String depositorFirstname, String depositorLastname) {
        this.organisationName = organisationName;
        this.bankName = bankName;
        this.depositorFirstname = depositorFirstname;
        this.depositorLastname = depositorLastname;
    }

    /**
     * Empty constructor
     */
    public Order (){}

    public String getOrganisationId() {return organisationId;}

    public void setOrganisationId (String organisationId) { this.organisationId = organisationId;}

    public String getDepositorId() { return depositorId;}

    public void setDepositorId(String depositorId) {
        this.depositorId = depositorId;
    }

    public String getDepositorFullname () {
        return depositorFullname;
    }

    public void setDepositorFullname(String depositorFullname) {
        this.depositorFullname = depositorFullname;
    }

    public String getOrganisationName() {
        return organisationName;
    }

    public void setOrganisationName(String organisationName) {
        this.organisationName = organisationName;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getDepositorFirstname() {
        return depositorFirstname;
    }

    public void setDepositorFirstname(String depositorFirstname) {
        this.depositorFirstname = depositorFirstname;
    }

    public String getDepositorLastname() {
        return depositorLastname;
    }

    public void setDepositorLastname(String depositorLastname) {
        this.depositorLastname = depositorLastname;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getBankId() {
        return bankId;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }

    @Override
    public String toString() {
        return "orderId: " + orderId + "\nuserId: " + userId + "\nbankId: " + bankId + "\norganisationId: " + organisationId;
    }
}
