import React from 'react';
import { StyleSheet } from 'react-native';
import { WebView } from 'react-native-webview';

const WebviewPage = props => {
  const url = props.navigation.getParam('url');
  return (
    <WebView
      source={{ uri: url, withCredentials: true }}
      scalesPageToFit
      javaScriptEnabled
      originWhitelist={['https://*']}
      style={styles.container}
    />
  );
};

WebviewPage.navigationOptions = navigationData => {
  const headerTitle = navigationData.navigation.getParam('headerTitle');
  return {
    headerTitle: headerTitle
  };
};

const styles = StyleSheet.create({
  container: {
    flex: 1
  }
});

export default WebviewPage;
