function secondsSinceMidnight() {
  const d = new Date();
  const e = new Date(d);
  return (e - d.setHours(0, 0, 0, 0)) / 1000;
}

export const calculateEstimatedDashboardData = dashboard => {
  if (dashboard.calculatedTime) {
    const secondsSinceCalculatedTime = Math.round((new Date() - dashboard.calculatedTime) / 1000);
    const interestPrSecond = dashboard.calculatedInterestLastDay / 86400;
    const interestSinceCalculatedTime = secondsSinceCalculatedTime * interestPrSecond;

    const estimatedTotalBalance = dashboard.calculatedTotalBalance + interestSinceCalculatedTime;
    const estimatedInterestLastMonth =
      dashboard.calculatedInterestLastMonth + interestSinceCalculatedTime;
    const estimatedInterestSinceMidnight = secondsSinceMidnight() * interestPrSecond;
    const estimatedInterestRate = dashboard.calculatedInterestRateLastDay;

    return {
      estimatedTotalBalance,
      estimatedInterestLastMonth,
      estimatedInterestSinceMidnight,
      estimatedInterestRate
    };
  }
  return null;
};

export const splitNumber = number => {
  const n = number.toString().replace('.', ',');
  return n.replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1 ');
};

const monthName = [
  'Jan',
  'Feb',
  'Mar',
  'Apr',
  'Mai',
  'Jun',
  'Jul',
  'Aug',
  'Sep',
  'Okt',
  'Nov',
  'Des'
];

export const dateFormat = dateObject => {
  const date = new Date(dateObject);
  const year = date.getFullYear();
  const day = date.getDate();
  const month = date.getMonth();
  const result = `${day}.${monthName[month]}.${year}`;
  return result;
};

export const findProductName = productId => {
  let productName;
  switch (productId) {
    case '1': {
      productName = '3 mnd';
      break;
    }
    case '2': {
      productName = '6 mnd';
      break;
    }
    case '3': {
      productName = '12 mnd';
      break;
    }
    case '5': {
      productName = '31 d';
      break;
    }
    case '7': {
      productName = '90 d';
      break;
    }
    default: {
      productName = 'Finner ikke produkt.';
      break;
    }
  }
  return productName;
};
