import { Alert } from 'react-native';
import Constants from 'expo-constants';
import * as Permissions from 'expo-permissions';

const NotificationHandler = {
  registerForPushNotifications: async function() {
    if (Constants.isDevice) {
      const { status: existingStatus } = await Permissions.getAsync(Permissions.NOTIFICATIONS);
      let finalStatus = existingStatus;
      console.log(finalStatus);
      if (existingStatus !== 'granted') {
        const { status } = await Permissions.askAsync(Permissions.NOTIFICATIONS);
        finalStatus = status;
      }
      if (finalStatus !== 'granted') {
        Alert.alert(
          'Hvis du ombestemmer deg senere må du gå i innstillinger å tillate varsler fra FixrateApp.'
        );
      }
    } else {
      Alert.alert('Must use physical device for notifcations.');
    }
  }
};

export default NotificationHandler;
